View Issue Details

IDProjectCategoryView StatusLast Update
0025619LazarusIDEpublic2017-11-28 16:12
ReporterMaciej Izak Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3 (SVN) 
Summary0025619: "Complete Code" broken/blocked for property with generic type (delphi mode)
Description"Complete Code" broken/blocked for property with generic type (delphi mode):

---code---
{$MODE DELPHI}

type
  TNotifyEvent<T> = procedure(A: T) of object;

  TA = class
  private
    FEvent: TNotifyEvent<Int8>;
  public
    // "Complete Code" blocked on this line (Ctrl + Shift + C)
    property Event: TNotifyEvent<Int8> read FEvent; // Error: ; expected, but < found
    procedure Foo;
  end;
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0027206 resolvedSven Barth FPC [Patch] Christmas gift by FreeSparta : Generics.Collections 
related to 0023903 closedMattias Gaertner Lazarus Complete code error 

Activities

Maciej Izak

2014-01-25 20:23

developer  

r21.lpr (354 bytes)

Maciej Izak

2015-03-18 11:44

developer   ~0082062

Bug related to 0027206

Issue History

Date Modified Username Field Change
2014-01-25 20:23 Maciej Izak New Issue
2014-01-25 20:23 Maciej Izak File Added: r21.lpr
2015-03-18 11:44 Maciej Izak Note Added: 0082062
2015-03-18 12:36 Juha Manninen Relationship added related to 0027206
2015-12-10 15:13 Mattias Gaertner Assigned To => Mattias Gaertner
2015-12-10 15:13 Mattias Gaertner Status new => assigned
2015-12-10 15:13 Mattias Gaertner Relationship added related to 0023903
2017-11-28 16:12 Mattias Gaertner LazTarget => -
2017-11-28 16:12 Mattias Gaertner Status assigned => resolved
2017-11-28 16:12 Mattias Gaertner Resolution open => fixed